For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
Getting StartedAPI ReferenceRoadmapBlog
Getting StartedAPI ReferenceRoadmapBlog
    • Resources
    • Authentication
    • Pagination
    • Rate limiting
  • API Keys
    • GETList api keys
    • GETGet api key
    • POSTCreate api key
    • PUTUpdate api key
    • DELDelete api key
  • Environments
    • POSTCreate environment
    • PUTUpdate environment
    • DELDelete environment
  • Plans
    • The Plan object
    • GETList plans
    • GETGet plan
    • POSTCreate plan
    • PUTUpdate plan
    • DELDelete plan
  • Companies
    • The Company object
    • GETList companies
    • POSTUpsert company
    • GETLookup company
    • DELDelete company
    • POSTDelete company by keys
    • GETList company memberships
    • POSTGet or create company membership
    • DELDelete company membership
    • POSTUpsert company trait
  • Users
    • The User object
    • GETList users
    • GETLookup user
    • POSTUpsert user
    • DELDelete user
    • POSTDelete user by keys
    • POSTUpsert user trait
  • Events
    • The Event object
    • GETList events
    • POSTCreate event
    • POSTCreate event batch
    • GETGet event
  • Features
    • The Feature object
    • GETList features
    • GETGet feature
    • POSTCreate feature
    • PUTUpdate feature
    • DELDelete feature
  • Flags
    • The Flag object
    • GETList flags
    • GETGet flag
    • POSTCreate flag
    • PUTUpdate flag
    • DELDelete flag
    • PUTUpdate flag rules
    • POSTCheck flag
    • POSTCheck flags
  • Entitlements
    • GETList company overrides
    • GETGet company override
    • POSTCreate company override
    • PUTUpdate company override
    • DELDelete company override
    • GETList plan entitlements
    • GETGet plan entitlement
    • POSTCreate plan entitlement
    • PUTUpdate plan entitlement
    • DELDelete plan entitlement
  • Feature Usage
    • GETList feature usage
  • Billing Credits
    • GETList credits
    • POSTCreate credit
    • GETGet credit
    • PUTUpdate credit
    • DELDelete credit
    • GETList credit bundles
    • POSTCreate credit bundle
    • GETGet credit bundle
    • PUTUpdate credit bundle
    • DELDelete credit bundle
    • POSTGrant credits to company
    • GETList company credit grants
    • GETList credit grants
    • PUTZero out credit grant
    • GETList plan credit grants
    • POSTCreate plan credit grant
    • DELDelete plan credit grant
    • GETGet credit ledger
  • Account Members
    • GETList account members
    • GETGet account member
LogoLogo
SupportDashboard
Plans

Get plan

GET
https://api.schematichq.com/plans/:plan_id
GET
/plans/:plan_id
1import { SchematicClient } from "@schematichq/schematic-typescript-node";
2
3async function main() {
4 const client = new SchematicClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.plans.getPlan("plan_id", {});
8}
9main();
1{
2 "data": {
3 "billing_strategy": "schematic_managed",
4 "charge_type": "free",
5 "company_count": 1,
6 "controlled_by": "orb",
7 "created_at": "2024-01-15T09:30:00Z",
8 "currency_prices": [
9 {
10 "currency": "string",
11 "monthly_price": {
12 "currency": "string",
13 "external_price_id": "string",
14 "id": "string",
15 "interval": "day",
16 "interval_count": 1,
17 "price": 1,
18 "provider_type": "orb",
19 "scheme": "per_unit",
20 "nickname": "string",
21 "price_decimal": "string"
22 },
23 "one_time_price": {
24 "currency": "string",
25 "external_price_id": "string",
26 "id": "string",
27 "interval": "day",
28 "interval_count": 1,
29 "price": 1,
30 "provider_type": "orb",
31 "scheme": "per_unit",
32 "nickname": "string",
33 "price_decimal": "string"
34 },
35 "quarterly_price": {
36 "currency": "string",
37 "external_price_id": "string",
38 "id": "string",
39 "interval": "day",
40 "interval_count": 1,
41 "price": 1,
42 "provider_type": "orb",
43 "scheme": "per_unit",
44 "nickname": "string",
45 "price_decimal": "string"
46 },
47 "yearly_price": {
48 "currency": "string",
49 "external_price_id": "string",
50 "id": "string",
51 "interval": "day",
52 "interval_count": 1,
53 "price": 1,
54 "provider_type": "orb",
55 "scheme": "per_unit",
56 "nickname": "string",
57 "price_decimal": "string"
58 }
59 }
60 ],
61 "description": "string",
62 "features": [
63 {
64 "created_at": "2024-01-15T09:30:00Z",
65 "description": "string",
66 "feature_type": "boolean",
67 "flags": [
68 {
69 "created_at": "2024-01-15T09:30:00Z",
70 "default_value": true,
71 "description": "string",
72 "flag_type": "boolean",
73 "id": "string",
74 "key": "string",
75 "name": "string",
76 "rules": [
77 {
78 "condition_groups": [
79 {
80 "conditions": [
81 {
82 "condition_type": "base_plan",
83 "created_at": "2024-01-15T09:30:00Z",
84 "environment_id": "string",
85 "id": "string",
86 "operator": "eq",
87 "resource_ids": [
88 "string"
89 ],
90 "resources": [
91 {
92 "id": "string",
93 "name": "string",
94 "description": "string",
95 "image_url": "string"
96 }
97 ],
98 "rule_id": "string",
99 "trait_value": "string",
100 "updated_at": "2024-01-15T09:30:00Z",
101 "comparison_trait": {
102 "created_at": "2024-01-15T09:30:00Z",
103 "display_name": "string",
104 "entity_type": "company",
105 "hierarchy": [
106 "string"
107 ],
108 "id": "string",
109 "trait_type": "boolean",
110 "updated_at": "2024-01-15T09:30:00Z"
111 },
112 "comparison_trait_id": "string",
113 "condition_group_id": "string",
114 "event_subtype": "string",
115 "flag_id": "string",
116 "metric_period": "all_time",
117 "metric_period_month_reset": "billing_cycle",
118 "metric_value": 1,
119 "trait": {
120 "created_at": "2024-01-15T09:30:00Z",
121 "display_name": "string",
122 "entity_type": "company",
123 "hierarchy": [
124 "string"
125 ],
126 "id": "string",
127 "trait_type": "boolean",
128 "updated_at": "2024-01-15T09:30:00Z"
129 },
130 "trait_entity_type": "company",
131 "trait_id": "string"
132 }
133 ],
134 "created_at": "2024-01-15T09:30:00Z",
135 "environment_id": "string",
136 "id": "string",
137 "rule_id": "string",
138 "updated_at": "2024-01-15T09:30:00Z",
139 "flag_id": "string"
140 }
141 ],
142 "conditions": [
143 {
144 "condition_type": "base_plan",
145 "created_at": "2024-01-15T09:30:00Z",
146 "environment_id": "string",
147 "id": "string",
148 "operator": "eq",
149 "resource_ids": [
150 "string"
151 ],
152 "resources": [
153 {
154 "id": "string",
155 "name": "string",
156 "description": "string",
157 "image_url": "string"
158 }
159 ],
160 "rule_id": "string",
161 "trait_value": "string",
162 "updated_at": "2024-01-15T09:30:00Z",
163 "comparison_trait": {
164 "created_at": "2024-01-15T09:30:00Z",
165 "display_name": "string",
166 "entity_type": "company",
167 "hierarchy": [
168 "string"
169 ],
170 "id": "string",
171 "trait_type": "boolean",
172 "updated_at": "2024-01-15T09:30:00Z"
173 },
174 "comparison_trait_id": "string",
175 "condition_group_id": "string",
176 "event_subtype": "string",
177 "flag_id": "string",
178 "metric_period": "all_time",
179 "metric_period_month_reset": "billing_cycle",
180 "metric_value": 1,
181 "trait": {
182 "created_at": "2024-01-15T09:30:00Z",
183 "display_name": "string",
184 "entity_type": "company",
185 "hierarchy": [
186 "string"
187 ],
188 "id": "string",
189 "trait_type": "boolean",
190 "updated_at": "2024-01-15T09:30:00Z"
191 },
192 "trait_entity_type": "company",
193 "trait_id": "string"
194 }
195 ],
196 "created_at": "2024-01-15T09:30:00Z",
197 "environment_id": "string",
198 "id": "string",
199 "name": "string",
200 "priority": 1,
201 "rule_type": "company_override",
202 "updated_at": "2024-01-15T09:30:00Z",
203 "value": true,
204 "flag_id": "string"
205 }
206 ],
207 "updated_at": "2024-01-15T09:30:00Z",
208 "feature": {
209 "created_at": "2024-01-15T09:30:00Z",
210 "description": "string",
211 "feature_type": "boolean",
212 "icon": "string",
213 "id": "string",
214 "name": "string",
215 "updated_at": "2024-01-15T09:30:00Z",
216 "event_subtype": "string",
217 "lifecycle_phase": "add_on",
218 "maintainer_account_member_id": "string",
219 "plural_name": "string",
220 "singular_name": "string",
221 "trait_id": "string"
222 },
223 "feature_id": "string",
224 "last_checked_at": "2024-01-15T09:30:00Z",
225 "maintainer_account_member_id": "string"
226 }
227 ],
228 "icon": "string",
229 "id": "string",
230 "name": "string",
231 "plans": [
232 {
233 "id": "string",
234 "name": "string",
235 "description": "string",
236 "image_url": "string"
237 }
238 ],
239 "updated_at": "2024-01-15T09:30:00Z",
240 "billing_linked_resource": {
241 "billing_provider": "orb",
242 "external_resource_id": "string",
243 "originator": "orb"
244 },
245 "event_subtype": "string",
246 "event_summary": {
247 "company_count": 1,
248 "environment_id": "string",
249 "event_count": 1,
250 "event_subtype": "string",
251 "user_count": 1,
252 "last_seen_at": "2024-01-15T09:30:00Z"
253 },
254 "lifecycle_phase": "add_on",
255 "maintainer_account_member_id": "string",
256 "plural_name": "string",
257 "singular_name": "string",
258 "trait": {
259 "created_at": "2024-01-15T09:30:00Z",
260 "display_name": "string",
261 "entity_type": "company",
262 "hierarchy": [
263 "string"
264 ],
265 "id": "string",
266 "trait_type": "boolean",
267 "updated_at": "2024-01-15T09:30:00Z"
268 },
269 "trait_id": "string"
270 }
271 ],
272 "icon": "amber",
273 "id": "string",
274 "is_trialable": true,
275 "name": "string",
276 "plan_type": "plan",
277 "updated_at": "2024-01-15T09:30:00Z",
278 "versions": [
279 {
280 "created_at": "2024-01-15T09:30:00Z",
281 "description": "string",
282 "environment_id": "string",
283 "icon": "amber",
284 "id": "string",
285 "name": "string",
286 "plan_type": "plan",
287 "status": "published",
288 "updated_at": "2024-01-15T09:30:00Z",
289 "version": 1,
290 "original_plan_id": "string"
291 }
292 ],
293 "is_default": true,
294 "is_free": true,
295 "active_version": {
296 "created_at": "2024-01-15T09:30:00Z",
297 "description": "string",
298 "environment_id": "string",
299 "icon": "amber",
300 "id": "string",
301 "name": "string",
302 "plan_type": "plan",
303 "status": "published",
304 "updated_at": "2024-01-15T09:30:00Z",
305 "version": 1,
306 "original_plan_id": "string"
307 },
308 "billing_linked_resource": {
309 "billing_provider": "orb",
310 "external_resource_id": "string",
311 "originator": "orb"
312 },
313 "billing_product": {
314 "account_id": "string",
315 "created_at": "2024-01-15T09:30:00Z",
316 "environment_id": "string",
317 "external_id": "string",
318 "is_active": true,
319 "name": "string",
320 "price": 1.1,
321 "prices": [
322 {
323 "currency": "string",
324 "external_price_id": "string",
325 "id": "string",
326 "interval": "day",
327 "interval_count": 1,
328 "price": 1,
329 "provider_type": "orb",
330 "scheme": "per_unit",
331 "nickname": "string",
332 "price_decimal": "string"
333 }
334 ],
335 "product_id": "string",
336 "provider_type": "orb",
337 "quantity": 1.1,
338 "subscription_count": 1,
339 "updated_at": "2024-01-15T09:30:00Z",
340 "price_decimal": "string",
341 "currency": "string"
342 },
343 "company_id": "string",
344 "company_name": "string",
345 "copied_from_plan_id": "string",
346 "draft_version": {
347 "created_at": "2024-01-15T09:30:00Z",
348 "description": "string",
349 "environment_id": "string",
350 "icon": "amber",
351 "id": "string",
352 "name": "string",
353 "plan_type": "plan",
354 "status": "published",
355 "updated_at": "2024-01-15T09:30:00Z",
356 "version": 1,
357 "original_plan_id": "string"
358 },
359 "entitlements": [
360 {
361 "created_at": "2024-01-15T09:30:00Z",
362 "currency_prices": [
363 {
364 "currency": "string",
365 "monthly_price": {
366 "billing_scheme": "per_unit",
367 "created_at": "2024-01-15T09:30:00Z",
368 "currency": "string",
369 "id": "string",
370 "interval": "day",
371 "interval_count": 1,
372 "is_active": true,
373 "package_size": 1,
374 "price": 1,
375 "price_external_id": "string",
376 "price_id": "string",
377 "price_tier": [
378 {
379 "flat_amount": 1,
380 "per_unit_price": 1,
381 "per_unit_price_decimal": "string",
382 "up_to": 1
383 }
384 ],
385 "product_external_id": "string",
386 "product_id": "string",
387 "product_name": "string",
388 "provider_type": "orb",
389 "updated_at": "2024-01-15T09:30:00Z",
390 "usage_type": "licensed",
391 "meter_event_name": "string",
392 "meter_event_payload_key": "string",
393 "meter_id": "string",
394 "nickname": "string",
395 "price_decimal": "string",
396 "tiers_mode": "graduated"
397 },
398 "quarterly_price": {
399 "billing_scheme": "per_unit",
400 "created_at": "2024-01-15T09:30:00Z",
401 "currency": "string",
402 "id": "string",
403 "interval": "day",
404 "interval_count": 1,
405 "is_active": true,
406 "package_size": 1,
407 "price": 1,
408 "price_external_id": "string",
409 "price_id": "string",
410 "price_tier": [
411 {
412 "flat_amount": 1,
413 "per_unit_price": 1,
414 "per_unit_price_decimal": "string",
415 "up_to": 1
416 }
417 ],
418 "product_external_id": "string",
419 "product_id": "string",
420 "product_name": "string",
421 "provider_type": "orb",
422 "updated_at": "2024-01-15T09:30:00Z",
423 "usage_type": "licensed",
424 "meter_event_name": "string",
425 "meter_event_payload_key": "string",
426 "meter_id": "string",
427 "nickname": "string",
428 "price_decimal": "string",
429 "tiers_mode": "graduated"
430 },
431 "yearly_price": {
432 "billing_scheme": "per_unit",
433 "created_at": "2024-01-15T09:30:00Z",
434 "currency": "string",
435 "id": "string",
436 "interval": "day",
437 "interval_count": 1,
438 "is_active": true,
439 "package_size": 1,
440 "price": 1,
441 "price_external_id": "string",
442 "price_id": "string",
443 "price_tier": [
444 {
445 "flat_amount": 1,
446 "per_unit_price": 1,
447 "per_unit_price_decimal": "string",
448 "up_to": 1
449 }
450 ],
451 "product_external_id": "string",
452 "product_id": "string",
453 "product_name": "string",
454 "provider_type": "orb",
455 "updated_at": "2024-01-15T09:30:00Z",
456 "usage_type": "licensed",
457 "meter_event_name": "string",
458 "meter_event_payload_key": "string",
459 "meter_id": "string",
460 "nickname": "string",
461 "price_decimal": "string",
462 "tiers_mode": "graduated"
463 }
464 }
465 ],
466 "environment_id": "string",
467 "feature_id": "string",
468 "id": "string",
469 "plan_id": "string",
470 "rule_id": "string",
471 "updated_at": "2024-01-15T09:30:00Z",
472 "value_type": "boolean",
473 "billing_linked_resource": {
474 "billing_provider": "orb",
475 "external_resource_id": "string",
476 "originator": "orb"
477 },
478 "billing_threshold": 1,
479 "consumption_rate": 1.1,
480 "feature": {
481 "created_at": "2024-01-15T09:30:00Z",
482 "description": "string",
483 "feature_type": "boolean",
484 "icon": "string",
485 "id": "string",
486 "name": "string",
487 "updated_at": "2024-01-15T09:30:00Z",
488 "event_subtype": "string",
489 "lifecycle_phase": "add_on",
490 "maintainer_account_member_id": "string",
491 "plural_name": "string",
492 "singular_name": "string",
493 "trait_id": "string"
494 },
495 "metered_monthly_price": {
496 "billing_scheme": "per_unit",
497 "created_at": "2024-01-15T09:30:00Z",
498 "currency": "string",
499 "id": "string",
500 "interval": "day",
501 "interval_count": 1,
502 "is_active": true,
503 "package_size": 1,
504 "price": 1,
505 "price_external_id": "string",
506 "price_id": "string",
507 "price_tier": [
508 {
509 "flat_amount": 1,
510 "per_unit_price": 1,
511 "per_unit_price_decimal": "string",
512 "up_to": 1
513 }
514 ],
515 "product_external_id": "string",
516 "product_id": "string",
517 "product_name": "string",
518 "provider_type": "orb",
519 "updated_at": "2024-01-15T09:30:00Z",
520 "usage_type": "licensed",
521 "meter_event_name": "string",
522 "meter_event_payload_key": "string",
523 "meter_id": "string",
524 "nickname": "string",
525 "price_decimal": "string",
526 "tiers_mode": "graduated"
527 },
528 "metered_quarterly_price": {
529 "billing_scheme": "per_unit",
530 "created_at": "2024-01-15T09:30:00Z",
531 "currency": "string",
532 "id": "string",
533 "interval": "day",
534 "interval_count": 1,
535 "is_active": true,
536 "package_size": 1,
537 "price": 1,
538 "price_external_id": "string",
539 "price_id": "string",
540 "price_tier": [
541 {
542 "flat_amount": 1,
543 "per_unit_price": 1,
544 "per_unit_price_decimal": "string",
545 "up_to": 1
546 }
547 ],
548 "product_external_id": "string",
549 "product_id": "string",
550 "product_name": "string",
551 "provider_type": "orb",
552 "updated_at": "2024-01-15T09:30:00Z",
553 "usage_type": "licensed",
554 "meter_event_name": "string",
555 "meter_event_payload_key": "string",
556 "meter_id": "string",
557 "nickname": "string",
558 "price_decimal": "string",
559 "tiers_mode": "graduated"
560 },
561 "metered_yearly_price": {
562 "billing_scheme": "per_unit",
563 "created_at": "2024-01-15T09:30:00Z",
564 "currency": "string",
565 "id": "string",
566 "interval": "day",
567 "interval_count": 1,
568 "is_active": true,
569 "package_size": 1,
570 "price": 1,
571 "price_external_id": "string",
572 "price_id": "string",
573 "price_tier": [
574 {
575 "flat_amount": 1,
576 "per_unit_price": 1,
577 "per_unit_price_decimal": "string",
578 "up_to": 1
579 }
580 ],
581 "product_external_id": "string",
582 "product_id": "string",
583 "product_name": "string",
584 "provider_type": "orb",
585 "updated_at": "2024-01-15T09:30:00Z",
586 "usage_type": "licensed",
587 "meter_event_name": "string",
588 "meter_event_payload_key": "string",
589 "meter_id": "string",
590 "nickname": "string",
591 "price_decimal": "string",
592 "tiers_mode": "graduated"
593 },
594 "metric_period": "all_time",
595 "metric_period_month_reset": "billing_cycle",
596 "plan": {
597 "created_at": "2024-01-15T09:30:00Z",
598 "description": "string",
599 "icon": "amber",
600 "id": "string",
601 "name": "string",
602 "plan_type": "plan",
603 "updated_at": "2024-01-15T09:30:00Z",
604 "company_id": "string",
605 "copied_from_plan_id": "string",
606 "audience_type": "string"
607 },
608 "price_behavior": "credit_burndown",
609 "rule_id_usage_exceeded": "string",
610 "soft_limit": 1,
611 "usage_based_product": {
612 "account_id": "string",
613 "created_at": "2024-01-15T09:30:00Z",
614 "environment_id": "string",
615 "external_id": "string",
616 "is_active": true,
617 "name": "string",
618 "price": 1.1,
619 "product_id": "string",
620 "provider_type": "orb",
621 "quantity": 1.1,
622 "updated_at": "2024-01-15T09:30:00Z",
623 "price_decimal": "string",
624 "currency": "string"
625 },
626 "usage_quantity": 1,
627 "value_bool": true,
628 "value_credit": {
629 "burn_strategy": "expiration_priority",
630 "cost_editable": true,
631 "created_at": "2024-01-15T09:30:00Z",
632 "currency_prices": [
633 {
634 "currency": "string",
635 "price": {
636 "currency": "string",
637 "external_price_id": "string",
638 "id": "string",
639 "interval": "day",
640 "interval_count": 1,
641 "price": 1,
642 "provider_type": "orb",
643 "scheme": "per_unit",
644 "nickname": "string",
645 "price_decimal": "string"
646 }
647 }
648 ],
649 "default_expiry_unit": "billing_periods",
650 "default_rollover_policy": "expire",
651 "description": "string",
652 "id": "string",
653 "name": "string",
654 "updated_at": "2024-01-15T09:30:00Z",
655 "default_expiry_unit_count": 1,
656 "icon": "string",
657 "plural_name": "string",
658 "price": {
659 "currency": "string",
660 "external_price_id": "string",
661 "id": "string",
662 "interval": "day",
663 "interval_count": 1,
664 "price": 1,
665 "provider_type": "orb",
666 "scheme": "per_unit",
667 "nickname": "string",
668 "price_decimal": "string"
669 },
670 "product": {
671 "account_id": "string",
672 "created_at": "2024-01-15T09:30:00Z",
673 "environment_id": "string",
674 "external_id": "string",
675 "is_active": true,
676 "name": "string",
677 "price": 1.1,
678 "product_id": "string",
679 "provider_type": "orb",
680 "quantity": 1.1,
681 "updated_at": "2024-01-15T09:30:00Z",
682 "price_decimal": "string",
683 "currency": "string"
684 },
685 "singular_name": "string"
686 },
687 "value_numeric": 1,
688 "value_trait": {
689 "created_at": "2024-01-15T09:30:00Z",
690 "display_name": "string",
691 "entity_type": "company",
692 "hierarchy": [
693 "string"
694 ],
695 "id": "string",
696 "trait_type": "boolean",
697 "updated_at": "2024-01-15T09:30:00Z"
698 },
699 "value_trait_id": "string"
700 }
701 ],
702 "included_credit_grants": [
703 {
704 "auto_topup_enabled": true,
705 "auto_topup_self_service": true,
706 "created_at": "2024-01-15T09:30:00Z",
707 "credit_amount": 1,
708 "credit_id": "string",
709 "id": "string",
710 "plan_id": "string",
711 "updated_at": "2024-01-15T09:30:00Z",
712 "credit_name": "string",
713 "plan_name": "string",
714 "auto_topup_amount": 1,
715 "auto_topup_amount_type": "string",
716 "auto_topup_expiry_type": "duration",
717 "auto_topup_expiry_unit": "billing_periods",
718 "auto_topup_expiry_unit_count": 1,
719 "auto_topup_threshold_credits": 1,
720 "auto_topup_threshold_percent": 1,
721 "credit": {
722 "burn_strategy": "expiration_priority",
723 "cost_editable": true,
724 "created_at": "2024-01-15T09:30:00Z",
725 "currency_prices": [
726 {
727 "currency": "string",
728 "price": {
729 "currency": "string",
730 "external_price_id": "string",
731 "id": "string",
732 "interval": "day",
733 "interval_count": 1,
734 "price": 1,
735 "provider_type": "orb",
736 "scheme": "per_unit",
737 "nickname": "string",
738 "price_decimal": "string"
739 }
740 }
741 ],
742 "default_expiry_unit": "billing_periods",
743 "default_rollover_policy": "expire",
744 "description": "string",
745 "id": "string",
746 "name": "string",
747 "updated_at": "2024-01-15T09:30:00Z",
748 "default_expiry_unit_count": 1,
749 "icon": "string",
750 "plural_name": "string",
751 "price": {
752 "currency": "string",
753 "external_price_id": "string",
754 "id": "string",
755 "interval": "day",
756 "interval_count": 1,
757 "price": 1,
758 "provider_type": "orb",
759 "scheme": "per_unit",
760 "nickname": "string",
761 "price_decimal": "string"
762 },
763 "product": {
764 "account_id": "string",
765 "created_at": "2024-01-15T09:30:00Z",
766 "environment_id": "string",
767 "external_id": "string",
768 "is_active": true,
769 "name": "string",
770 "price": 1.1,
771 "product_id": "string",
772 "provider_type": "orb",
773 "quantity": 1.1,
774 "updated_at": "2024-01-15T09:30:00Z",
775 "price_decimal": "string",
776 "currency": "string"
777 },
778 "singular_name": "string"
779 },
780 "expiry_type": "duration",
781 "expiry_unit": "billing_periods",
782 "expiry_unit_count": 1,
783 "plan": {
784 "id": "string",
785 "name": "string",
786 "description": "string",
787 "image_url": "string"
788 },
789 "plan_version_id": "string",
790 "reset_cadence": "daily",
791 "reset_start": "billing_period",
792 "reset_type": "no_reset",
793 "credit_plural_name": "string",
794 "credit_singular_name": "string"
795 }
796 ],
797 "monthly_price": {
798 "currency": "string",
799 "external_price_id": "string",
800 "id": "string",
801 "interval": "day",
802 "interval_count": 1,
803 "price": 1,
804 "provider_type": "orb",
805 "scheme": "per_unit",
806 "nickname": "string",
807 "price_decimal": "string"
808 },
809 "one_time_price": {
810 "currency": "string",
811 "external_price_id": "string",
812 "id": "string",
813 "interval": "day",
814 "interval_count": 1,
815 "price": 1,
816 "provider_type": "orb",
817 "scheme": "per_unit",
818 "nickname": "string",
819 "price_decimal": "string"
820 },
821 "quarterly_price": {
822 "currency": "string",
823 "external_price_id": "string",
824 "id": "string",
825 "interval": "day",
826 "interval_count": 1,
827 "price": 1,
828 "provider_type": "orb",
829 "scheme": "per_unit",
830 "nickname": "string",
831 "price_decimal": "string"
832 },
833 "trial_days": 1,
834 "yearly_price": {
835 "currency": "string",
836 "external_price_id": "string",
837 "id": "string",
838 "interval": "day",
839 "interval_count": 1,
840 "price": 1,
841 "provider_type": "orb",
842 "scheme": "per_unit",
843 "nickname": "string",
844 "price_decimal": "string"
845 },
846 "audience_type": "string"
847 },
848 "params": {
849 "plan_version_id": "string"
850 }
851}
Was this page helpful?
Previous

Create plan

Next
Built with

Authentication

X-Schematic-Api-Keystring
API Key authentication via header

Path parameters

plan_idstringRequired

plan_id

Query parameters

plan_version_idstringOptional
Fetch billing settings for a specific plan version

Response

OK
dataobject
paramsobject
Input parameters

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error